Bug 120495 - UI: Area section of Sidebar's properties tab isn't adapting anymore
Summary: UI: Area section of Sidebar's properties tab isn't adapting anymore
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All All
: medium normal
Assignee: Sumit Chauhan
URL:
Whiteboard: target:6.4.0 target:6.3.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Sidebar-Properties-Area
  Show dependency treegraph
 
Reported: 2018-10-10 21:13 UTC by Thomas Lendo
Modified: 2019-07-14 23:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2018-10-10 21:13:05 UTC
- Open a Draw document.
- Draw a rectangle.
- Open the Sidebar and the properties tab.
- Click in the Area content panel on the fill drop-down menu.
- Choose 'Color'.
- Look at the Area content panel and observe the height of the Area section.
- Choose any other Fill option.

Actual result:
The height of the Area content panel is not adapting to the height of the commands in it. Especially the 'Transparency' slider when choosing 'Gradient' isn't visible completely.

Expected result:
The height is adapting to its needs.


Works with
Version: 5.1.6.2
Build-ID: 1:5.1.6~rc2-0ubuntu1~xenial4
CPU-Threads: 4; BS-Version: Linux 4.15; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group

Doesn't work with
Version: 6.2.0.0.alpha0+
Build ID: 425af6845ebe066c950b0b63f50563e067485f3e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
Comment 1 Xisco Faulí 2018-10-10 21:33:28 UTC
Regression introduced by

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1896a09cd831904099df5202bb4d22ec0ddbcb0c

author	Katarina Behrens <Katarina.Behrens@cib.de>	2016-10-14 11:39:19 +0200
committer	Katarina Behrens <Katarina.Behrens@cib.de>	2016-10-17 06:46:23 +0000
commit	1896a09cd831904099df5202bb4d22ec0ddbcb0c (patch)
tree	f3789862b3f2904bcb0c9c1f9ec22507ee936f39
parent	416c552066e3a7a27430753967b3b9fe8104063f (diff)
tdf#100180: Band-aid fix for non-editable chart sidebar

Bisected with: bibisect-linux-64-5.3

Adding Cc: to Katarina Behrens
Comment 2 Commit Notification 2019-07-08 09:50:01 UTC
Sumit Chauhan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/347afce3a997291313fd88843ba248ccbbcb3990%5E%21

tdf#120495 Providing self adapting height to the Area section of Sidebar

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-07-12 09:37:47 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 44df407f63bc20c402b513e9e38470517a775317
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Sumit, thanks for fixing this issue!
Comment 4 Commit Notification 2019-07-14 23:17:48 UTC
Sumit Chauhan committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/6d3dfe83c82860c0688fd8c8dcc250402df53c74%5E%21

tdf#120495 Providing self adapting height to the Area section of Sidebar

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.